package com.tmerclub.cloud.common.local.constant;

/**
 * 订单状态
 *
 * @author: frank
 * @create: 2025-04-15
 **/
public enum CueOrderStatus {


    PENDING_AUDIT(0, "待审核"),
    AUDIT_PASS(1, "审核通过(待发货)"),
    AUDIT_FAIL(2, "审核拒绝"),
    FINISH_DELIVERY(3, "已发货"),
    FINISH_RECEIPT(4, "已收货(评估中)"),
    EVALUATION_SUCCESS(5, "评估成功(给出价格)"),
    EVALUATION_FAIL(6, "评估失败(退回)"),
    EVALUATION_FAIL_FILLED_RETURN_ADDRESS(7, "评估失败用户已填写回邮地址"),
    EVALUATION_FAIL_COMPLETED(8, "评估失败(已退回)"),
    EVALUATION_SUCCESS_PAY(9, "价格满意(结束)"),
    EVALUATION_SUCCESS_PRICE_DISCONTENT(10, "价格不满意(已填写回邮地址)"),
    EVALUATION_SUCCESS_COMPLETED(11, "价格不满意(已完成)");


    private final Integer num;
    private final String description;

    CueOrderStatus(Integer num, String description) {
        this.num = num;
        this.description = description;
    }

    public Integer value() {
        return num;
    }
}
